Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.table
Class PartBuilderDecorator

    java.lang.Object
      com.tonbeller.jpivot.table.PartBuilderSupport
          com.tonbeller.jpivot.table.PartBuilderDecorator

All Implemented Interfaces:
  PartBuilder, Available, com.tonbeller.wcf.bookmarks.Bookmarkable

Direct Known Subclasses:
  CellBuilderDecorator, CornerBuilderDecorator, SlicerBuilderDecorator, SpanBuilderDecorator

    public abstract class PartBuilderDecorator

extends PartBuilderSupport

forwards lifecycle events to decoree

Author:
  av

Field Summary

Fields inherited from class com.tonbeller.jpivot.table.PartBuilderSupport
`table`

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Constructor Summary
`protected` | `PartBuilderDecorator(PartBuilder delegate)`

Method Summary
`void` | `destroy(javax.servlet.http.HttpSession session)` destructor, called once after session timeout
`void` | `initialize(com.tonbeller.wcf.controller.RequestContext context, TableComponent table)` deferred ctor, called once after creation
`void` | `startBuild(com.tonbeller.wcf.controller.RequestContext context)` called before the DOM is built after the TableRenderer has been fully initialized
`void` | `stopBuild()` called after the DOM has been built.

Methods inherited from class com.tonbeller.jpivot.table.PartBuilderSupport
`getBookmarkState, isAvailable, setBookmarkState, setDirty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PartBuilderDecorator

    protected PartBuilderDecorator(PartBuilder delegate)

Method Detail

### startBuild

    public void startBuild(com.tonbeller.wcf.controller.RequestContext context)

  Description copied from interface: `PartBuilder`
  called before the DOM is built after the TableRenderer has been fully initialized

  Specified by:
    `startBuild` in interface `PartBuilder`
  Overrides:
    `startBuild` in class `PartBuilderSupport`

### stopBuild

    public void stopBuild()

  Description copied from interface: `PartBuilder`
  called after the DOM has been built.

  Specified by:
    `stopBuild` in interface `PartBuilder`
  Overrides:
    `stopBuild` in class `PartBuilderSupport`

### initialize

    public void initialize(com.tonbeller.wcf.controller.RequestContext context,
                           TableComponent table)
                    throws java.lang.Exception

  Description copied from interface: `PartBuilder`
  deferred ctor, called once after creation

  Specified by:
    `initialize` in interface `PartBuilder`
  Overrides:
    `initialize` in class `PartBuilderSupport`
  Throws:
    `java.lang.Exception`

### destroy

    public void destroy(javax.servlet.http.HttpSession session)
                 throws java.lang.Exception

  Description copied from interface: `PartBuilder`
  destructor, called once after session timeout

  Specified by:
    `destroy` in interface `PartBuilder`
  Overrides:
    `destroy` in class `PartBuilderSupport`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD